Update Kitchen Themes

post

/config/sim/v2/setup/updateKitchenThemes

Updates a Kitchen Theme

Request

Supported Media Types
Header Parameters
Body ()
Kitchen Theme insert and update request body
Root Schema : schema
Type: object
Show Source
Nested Schema : kdsClients
Type: array
KDS client records linked to the Kitchen Theme.
Show Source
Nested Schema : name
Type: object
A group of string objects representing the name of the Kitchen Theme in configured languages.
Example:
{
    "263":"API KT 3",
    "302":"API KT 3 FR"
}
Nested Schema : orderDevices
Type: array
Order device records linked to the Kitchen Theme. KDS settings, KDS options, links, associations, and primaryDistributionGroup apply only when ordDeviceType is 1 and primaryDeviceType is 1.
Show Source
Nested Schema : orderTypes
Type: array
Order type records linked to the Kitchen Theme.
Show Source
Nested Schema : workstations
Type: array
Workstation records linked to the Kitchen Theme.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : panelConfiguration
Type: array
Maximum Number of Items: 9
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : associations
Type: array
Show Source
Nested Schema : kdsSettings
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Kitchen Theme updated.
Body ()
Root Schema : schema
Type: object
Show Source
Back to Top